Update Tag
Updates a tag's information.
Required scopes:
tag:writeORtag:all
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
Specifies an update to a tag's allowed values.
The updated description of the tag.
textThe ID of the tag to update.
idThe updated name of the tag. The name must be unique across all tags.
textResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/tags.update" \ -H "Content-Type: application/json" \ -d '{ "id": "TAG-12345" }'{
"tag": {
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"allowed_values": [
"string"
],
"description": "string",
"name": "string",
"style_new": {
"color": "string"
},
"sync_metadata": {
"external_record_id": "string",
"external_record_type": "string",
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"last_sync_out": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
}
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}List Tags GET
Lists the available tags. **Required scopes:** - `tag:read` OR `tag:write` OR `tag:all`
Create Timeline Entry POST
Creates a new entry on an object's timeline. **Required scopes:** Requires the read or write scope of the parent object's type (e.g. issue:write when posting to an issue's timeline).